namespace Pr19;

public class Manuale : Libro
{
    public string Materia { get; private set; }
    public int Pagine { get; private set; }

    public Manuale(string isbn, string titolo, string autore, string materia, int pagine, double prezzoCopertina)
        : base(isbn, titolo, autore, prezzoCopertina)
    {
        Materia = materia;
        Pagine = pagine;
    }
    
    public override double PrezzoVendita()
    {
        return PrezzoCopertina - ((PrezzoCopertina * 15) / 100);
    }

    public override string ToString()
    {
        return String.Format("ISBN: {0}, Titolo: {1}, Autore: {2}, Materia: {3}, Pagine: {4}, Prezzo Copertina: {5}, Prezzo Vendita: {6}",
            Isbn, Titolo, Autore, Materia, Pagine, PrezzoCopertina, PrezzoVendita());
    }
}